public class MutualFund extends ShareAsset
{
	private double number = 0;
	
	public MutualFund(String symbol, double number, double costPrice)
	{
		super(symbol,costPrice);
		this.number = number;
		addCost(number*costPrice);
	}
	
	public MutualFund(String symbol, double costPrice)
	{
		super(symbol,costPrice);
	}
	
	public void purchase(double number, double price){
		this.number += number;
		addCost(number*price);
	}
	
	public double getMarketValue()
	{
		return number*getCurrentPrice();
	}
	
	public double getNumber()
	{
		return number;
	}
	
	public String toString(){
		return getSymbol() +": " + number + " cost:" + getCost() 
			+ "\nCurrent price: " + getCurrentPrice() 
			+ "\nMarket Value: " + getMarketValue()
			+ "\nProfit: " + getProfit();
	}
}