public abstract class ShareAsset implements Asset
{
	private String symbol;
	private double cost = 0;
	private double currentPrice;
	
	public ShareAsset(String symbol, double price)
	{
		this.symbol = symbol;
		currentPrice = price;
	}
	
	public abstract double getMarketValue();
	
	public double getProfit()
	{
		return getMarketValue() - cost;
	}
	
	public void addCost(double cost){
		this.cost += cost;
	}
	
	public void setCurrentPrice(double price){
		currentPrice = price;
	}
	
	public double getCost(){
		return cost;
	}
	
	public double getCurrentPrice(){
		return currentPrice;
	}
	
	public String getSymbol(){
		return symbol;
	}
}